Bug 1022164 - skinlf: remove versioned jars from %{_javadir}
skinlf: remove versioned jars from %{_javadir}
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: skinlf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mycae
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:53 EDT by Stanislav Ochotnicky
Modified: 2015-01-26 05:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 05:33:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:53:27 EDT
Package skinlf seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
skinlf:
/usr/share/java/skinlf-6.7.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 mycae 2013-12-01 15:00:33 EST
Fixed in  6.7-17.cvs20091205 

Build Log: http://koji.fedoraproject.org/koji/taskinfo?taskID=6245148

Note You need to log in before you can comment on or make changes to this bug.